This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 722960 - thunderbird-5.0 dropped support for PPC / PPC64
thunderbird-5.0 dropped support for PPC / PPC64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F16Alphappc
  Show dependency treegraph
 
Reported: 2011-07-18 11:40 EDT by Karsten Hopp
Modified: 2012-03-14 09:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-13 05:05:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2011-07-18 11:40:00 EDT
Description of problem:
c++ -o nsMultiplexInputStream.o -c  -fvisibility=hidden -DMOZILLA_INTERNAL_API -DMOZ_THUNDERBIRD=1 -DOSTYPE=\"Linux2.6.32-71.el6\" -DOSARCH=Linux -DEXCLUDE_SKIA_DEPENDENCIES -DCHROMIUM_MOZILLA_BUILD  -DOS_LINUX=1 -DOS_POSIX=1  -D_IMPL_NS_COM -I../../ipc/chromium/src -I../../ipc/glue -I../../ipc/ipdl/_ipdlheaders  -I.. -I. -I. -I../../dist/include -I../../dist/include/nsprpub  -I/usr/include/nspr4 -I/usr/include/nss3       -fPIC -fno-rtti -fno-exceptions -Wall -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align -Wno-invalid-offsetof -Wno-variadic-macros -Werror=return-type -Wno-long-long -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fno-exceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -fpermissive -fno-strict-aliasing -fshort-wchar -pthread -pipe -DNDEBUG -DTRIMMED -g -Os -fno-strict-aliasing    -DMOZILLA_CLIENT -include ../../mozilla-config.h -MD -MF .deps/nsMultiplexInputStream.pp nsMultiplexInputStream.cpp
In file included from ../../ipc/chromium/src/base/port.h:9:0,
                 from ../../ipc/chromium/src/base/basictypes.h:50,
                 from ../../ipc/chromium/src/base/file_path.h:70,
                 from ../../ipc/chromium/src/chrome/common/ipc_message_utils.h:12,
                 from ../../dist/include/IPC/IPCMessageUtils.h:42,
                 from nsMultiplexInputStream.cpp:44:
../../ipc/chromium/src/build/build_config.h:64:2: error: #error Please add support for your architecture in build/build_config.h


Version-Release number of selected component (if applicable):
thunderbird-5.0-1.fc16

Steps to Reproduce:
1. try to build on PPC/PPC64
2.
3.
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=255063

Expected results:


Additional info:
thunderbird-3.1.11-1.fc16 built on PPC/PPC64
Comment 1 Jiri Skala 2011-09-13 03:19:55 EDT
There is thunderbird-6.0-3.fc16 build on ppc. I guess this bug is obsolete.
Comment 2 Karsten Hopp 2011-09-13 05:05:30 EDT
correct. This got solved in the meantime.

Note You need to log in before you can comment on or make changes to this bug.